## vmdb2 0.12

=== doc/Makefile ===
formats: vmdb2.en.html vmdb2.en.pdf
en_srcs = $(wildcard en/*)

all: $(formats)

vmdb2.en.html: $(en_srcs) vmdb2.css
	./format-html "$@" ${en_srcs}

vmdb2.en.pdf: $(en_srcs)
	./format-pdf "$@" ${en_srcs}

=== yarns/Makefile ===
# Copyright 2017  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=


all: yarns.html

yarns.pdf: $(yarns) Makefile
	pandoc --chapters --toc -o yarns.pdf *.yarn

yarns.html: $(yarns) Makefile ugly.css
	pandoc -H ugly.css --smart --toc --chapters --number-sections \
                -V geometry:lettersize \
		--standalone --self-contained -o yarns.html *.yarn

=== debian/control ===
Source: vmdb2
Homepage: https://liw.fi/vmdb2/
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: admin
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
  python3-all,
  python3-coverage-test-runner,
  pandoc,
  python3-cliapp,
  python3-jinja2,
  cmdtest,
  python3-yaml,
  debootstrap,
  parted,
  kpartx,
  pylint3

Package: vmdb2
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
  python3,
  python3-cliapp,
  python3-jinja2,
  python3-yaml,
  cmdtest,
  debootstrap,
  parted,
  kpartx
Recommends: ansible
Description: creator of disk images with Debian installed
 vmdb2 will be a successor of vmdebootstrap. It will create disk images
 for virtual machines and real hardware, with partitioning, and a boot
 loader, and a Debian installation.

## vmdb2 0.13.2

=== debian/changelog ===
vmdb2 (0.13.2-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 06 May 2018 09:26:24 +0300

vmdb2 (0.13.1-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 30 Apr 2018 17:51:13 +0300

vmdb2 (0.13-1) unstable; urgency=medium

  * New upstream version.
  * Use new pandoc options (Closes: #897107)

 -- Lars Wirzenius <liw@liw.fi>  Mon, 30 Apr 2018 11:23:38 +0300

vmdb2 (0.12-1) unstable; urgency=medium

  * New upstream version.
  * debian/copyright: Added Stuart.
  * debian/control: Updated Homepage, patch from Geert Stappers.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 24 Feb 2018 11:05:32 +0200

vmdb2 (0.11-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 10 Feb 2018 17:56:41 +0200

vmdb2 (0.10-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 10 Feb 2018 17:04:30 +0200

vmdb2 (0.9-1) unstable; urgency=medium

  * New upstream version.
  * Add build-dep on python3-coverage-test-runner, pylint3.
  * Recommend ansible when vmdb2 is installed.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 11 Oct 2017 18:46:59 +0300

vmdb2 (0.8-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 29 Jul 2017 16:58:42 +0300

vmdb2 (0.7-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 18 Jun 2017 16:03:28 +0300

vmdb2 (0.6-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 11 Jun 2017 15:36:46 +0300

vmdb2 (0.5-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 04 Jun 2017 13:49:07 +0300

vmdb2 (0.4-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 03 Jun 2017 22:42:46 +0300

vmdb2 (0.3-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 21 May 2017 16:27:35 +0300

vmdb2 (0.2-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 14 May 2017 16:13:30 +0300

vmdb2 (0.1-1) unstable; urgency=low

  * Initial packaging. This is not intended to be uploaded to Debian, so
    no closing of an ITP bug.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 13 May 2017 23:42:59 +0300

## vmdb2 0.13.2+git20190215

=== debian/changelog ===
vmdb2 (0.13.2+git20190215-1) unstable; urgency=medium

  * Stop specifying xelatex as the PDF engine for building documentation,
    and add both texlive-fonts-recommended and lmodern as
    build-dependencies, as both issues caused the package to FTBFS under
    pbuilder (Closes: #922355)
  * Add build-dependency on dh-python, lintian is happier now

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 15 Feb 2019 11:47:15 -0600

vmdb2 (0.13.2+git20190214-1) unstable; urgency=medium

  * New upstream version.
  * Add dependency and build-dependency on qemu-utils, for qemu-img.
  * Updated Homepage.
  * Build the manual and include it in the Debian package.
    (Closes: #907614)
  * Add build-dependcies for building docs.
  * Taking over maintainership, as upstream author retired from Debian,
    orphaning vmdb2 (Closes: #914027)
  * Bumping up standards-version 3.9.8 → 4.3.0, dh compat level 9 → 12
  * Get the version information from debian/changelog instead of git,
    fixing potential (not reported) FTBFS

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 12 Feb 2019 09:17:52 -0600

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,27 @@
 Source: vmdb2
-Homepage: https://liw.fi/vmdb2/
-Maintainer: Lars Wirzenius <liw@liw.fi>
+Homepage: https://vmdb2.liw.fi/
+Maintainer: Gunnar Wolf <gwolf@debian.org>
 Section: admin
 Priority: optional
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 12),
   python3-all,
   python3-coverage-test-runner,
-  pandoc,
+  dh-python,
+  pandoc (>= 2.1.2~),
+  texlive-xetex,
+  lmodern,
+  fonts-freefont-ttf,
+  texlive-fonts-recommended,
   python3-cliapp,
   python3-jinja2,
   cmdtest,
   python3-yaml,
   debootstrap,
+  qemu-utils,
   parted,
-  kpartx,
-  pylint3
+  pylint3,
+  kpartx
 
 Package: vmdb2
 Architecture: all
@@ -26,6 +32,7 @@
   python3-yaml,
   cmdtest,
   debootstrap,
+  qemu-utils,
   parted,
   kpartx
 Recommends: ansible

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=vmdb2

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	./format.sh

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	./check
endif

## vmdb2 0.13.2+git20191220

=== yarns/Makefile ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	pandoc --chapters --toc -o yarns.pdf *.yarn
 
 yarns.html: $(yarns) Makefile ugly.css
-	pandoc -H ugly.css --smart --toc --chapters --number-sections \
+	pandoc -H ugly.css -f markdown+smart --toc \
+		--top-level-division=chapter --number-sections \
                 -V geometry:lettersize \
 		--standalone --self-contained -o yarns.html *.yarn

=== debian/changelog ===
vmdb2 (0.13.2+git20191220-1) unstable; urgency=medium

  * Incorporate newest upstream changes
  * Added step to create /etc/fstab (Closes: #922713)
  * Always send the errors to stderr (Closes: #928485)

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 20 Dec 2019 10:56:15 -0600

vmdb2 (0.13.2+git20191206-2) unstable; urgency=medium

  * Updated Vcs-Git and Vcs-Browser to the repositories used for Debian
    development (not upstream)
  * standards-version 4.3.0→4.4.1 (no changes needed)

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 10 Dec 2019 17:39:34 -0600

vmdb2 (0.13.2+git20191206-1) unstable; urgency=medium

  * Adding Vcs-Git and Vcs-Browser fields to debian/control
  * Fix rootfs-unpacked to be rootfs_unpacked in vmdb2.mdwn.
    (Closes:#922709)
  * Drop build-dependency on pylint (its use has already been removed
    upstream) (Closs: #945480)
  * Patch for #922660 was incorporated upstream (Closes: #922660)

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 06 Dec 2019 10:47:42 -0600

## vmdb2 0.17

=== debian/changelog ===
vmdb2 (0.17-1) unstable; urgency=medium

  * Import new upstream version 0.17

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 12 Aug 2020 01:16:01 -0500

vmdb2 (0.16-2) unstable; urgency=medium

  * Run vmdb2 for help2man from the local build path, don't assume it to
    be in the path (Closes: #962399)

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 12 Jun 2020 00:00:36 -0500

vmdb2 (0.16-1) unstable; urgency=medium

  * Import new upstream version 0.16
  * Remove patch from format.sh, as it is no longer needed
  * Install manpage and documentation; added build-dependency on help2man
    (Closes: #961140)

 -- Gunnar Wolf <gwolf@debian.org>  Sat, 06 Jun 2020 14:38:55 -0500

vmdb2 (0.14.1-1) unstable; urgency=medium

  * Incorporate newest upstream changes, fixing incompatibilities
    introduced in 0.14

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 09 Apr 2020 23:43:21 -0500

vmdb2 (0.14-1) unstable; urgency=medium

  * Incorporate newest upstream changes

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 24 Mar 2020 11:09:07 -0600

vmdb2 (0.13.2+git20200121-1) unstable; urgency=medium

  * Incorporate newest upstream changes. This includes a new copy-fie step
    (Closes: #949455)
  * Standards-version 4.4.1→4.5.0 (no changes needed)

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 21 Jan 2020 17:56:13 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Maintainer: Gunnar Wolf <gwolf@debian.org>
 Section: admin
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian/vmdb2/
+Vcs-Git: https://salsa.debian.org/debian/vmdb2.git
 Build-Depends: debhelper (>= 12),
   python3-all,
   python3-coverage-test-runner,
@@ -20,8 +22,8 @@
   debootstrap,
   qemu-utils,
   parted,
-  pylint3,
-  kpartx
+  kpartx,
+  help2man
 
 Package: vmdb2
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=vmdb2

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	./check
endif

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

override_dh_installman:
	[ ! -e vmdb2.1 ]
	help2man -N ./vmdb2 -i debian/vmdb2.1.in > debian/vmdb2.1
	dh_installman
	rm debian/vmdb2.1

## vmdb2 0.22

=== debian/changelog ===
vmdb2 (0.22-1) unstable; urgency=medium

  [ Christian Kastner ]
  * New upstream release. (Closes: #975303, #973467)
  * Drop build dependencies python3-cliapp, help2man (no longer needed)
  * Drop build dependencies debootstrap, kpartx, partx
    This are not needed by the build time tests.
  * Recommend ovmf, ovmf-ia32, qemu-efi-aarch64, qemu-efi-arm, qemu-slof,
    qemu-system-x86, qemu-system-arm, qemu-system-ppc
  * Re-enable build of HTML documentation
  * Drop build of the PDF, and all of its dependencies
  * Switch to using upstream-supplied man page
  * Set Rules-Requires-Root: no
  * Switch from debhelper (>= 12) to debhelper-compat (= 12)
  * Use secure URI in debian/copyright
  * Update Homepage
  * Create debian/watch
  * Add autopkgtest for module self-test
  * Honor DEB_BUILD_OPTIONS=nodoc
  * Remove build artifacts in clean target
  * Bump Standards-Version to 4.5.1

  [ Ryutaroh Matsumoto ]
  * Recommend qemu-user-static. (Closes: #975024)

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 19 Jan 2021 12:04:32 -0600

vmdb2 (0.19-1) unstable; urgency=medium

  * Import new upstream version 0.19

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 15 Oct 2020 11:30:46 -0500

=== debian/control ===
Source: vmdb2
Homepage: https://gitlab.com/larswirzenius/vmdb2
Maintainer: Gunnar Wolf <gwolf@debian.org>
Section: admin
Priority: optional
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/vmdb2/
Vcs-Git: https://salsa.debian.org/debian/vmdb2.git
Build-Depends: cmdtest,
               debhelper-compat (= 12),
               dh-python,
               pandoc (>= 2.1.2~),
               python3-all,
               python3-coverage-test-runner,
               python3-jinja2,
               python3-yaml,

Package: vmdb2
Architecture: all
Depends: cmdtest,
         debootstrap,
         e2fsprogs,
         kpartx,
         parted,
         python3,
         python3-jinja2,
         python3-yaml,
         qemu-utils,
         ${misc:Depends},
         ${python3:Depends},
Recommends: ansible,
            dosfstools,
            qemu-user-static
Description: creator of disk images with Debian installed
 vmdb2 will be a successor of vmdebootstrap. It will create disk images
 for virtual machines and real hardware, with partitioning, and a boot
 loader, and a Debian installation.

=== debian/tests/control ===
Test-Command: ./check
Depends: pandoc, python3-coverage-test-runner, vmdb2
Restrictions: allow-stderr

# Deactivated for now, as these succeed locally, but fail in autopkgtest
# environments, even with isolation-machine
#Test-Command: TERM=linux ./check-all "$AUTOPKGTEST_TMP"
# ; cp "$AUTOPKGTEST_TMP/check.log" "$AUTOPKGTEST_ARTIFACTS"
#Depends: ansible,
#         binfmt-support,
#         debootstrap,
#         dosfstools,
#         e2fsprogs,
#         expect,
#         ipxe-qemu,
#         kpartx,
#         ovmf,
#         ovmf-ia32,
#         pandoc,
#         parted,
#         python3-coverage-test-runner,
#         qemu-efi-aarch64,
#         qemu-efi-arm,
#         qemu-slof,
#         qemu-system-arm,
#         qemu-system-ppc,
#         qemu-system-x86,
#         qemu-user-static,
#         vmdb2,
#Restrictions: allow-stderr, needs-root, needs-internet, isolation-machine
# vmdb2 does not work under lxc, as we have the error from kpartx:
# /dev/mapper/control: open failed: Operation not permitted
# Failure to communicate with kernel device-mapper driver.
# Check that device-mapper is available in the kernel.
# Incompatible libdevmapper 1.02.173 (2020-08-09) and kernel driver (unknown version).
# device mapper prerequisites not met

## vmdb2 0.24

=== debian/changelog ===
vmdb2 (0.24-1) unstable; urgency=medium

  * Add build-dependency on lmodern (Closes: #982354)
  * Incorporates option for not installing recommends (Closes: #985375)
  * Merges qemu-debootstrap into debootstrap (Closes: #991532)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 26 Aug 2021 10:32:52 -0500

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Build-Depends: cmdtest,
                debhelper-compat (= 12),
                dh-python,
+	       lmodern,
                pandoc (>= 2.1.2~),
                python3-all,
                python3-coverage-test-runner,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=vmdb2

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	make -C yarns
	bash format.sh
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	./check
endif

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

override_dh_auto_clean:
	dh_auto_clean
	rm -f build yarns/yarns.html vmdb2.html

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/vmdb2-(\d\S+)\/vmdb2.*\.tar\.gz/vmdb2-$1\.tar\.gz/g \
 https://gitlab.com/larswirzenius/vmdb2/tags?sort=updated_desc .*/archive/vmdb2-(\d\S+)/.*\.tar\.gz.*

## vmdb2 0.26

=== debian/changelog ===
vmdb2 (0.26-2) unstable; urgency=medium

  * Fix debootstrap plugin: Set architecture for later stages (Closes:
    #1021802)

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 24 Oct 2022 09:08:11 -0500

vmdb2 (0.26-1) unstable; urgency=medium

  * New upstream release
  * Fixes the (attempted) repeated removal of the same directory if
    several Ansible playbooks are run (Closes: #1003958)
  * Properly removes the temporary files generated by repeated Ansible
    runs if several are specified (Closes: #966201)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 20 Apr 2022 12:21:54 -0500

vmdb2 (0.25-1) unstable; urgency=medium

  * New upstream release

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 31 Mar 2022 11:36:32 -0600

## vmdb2 0.27+really.0.26

=== debian/changelog ===
vmdb2 (0.27+really.0.26-1) unstable; urgency=medium

  * Rolling back the import of 0.27 due to the request of the Debian
    release managers; applying only the targetted patch
  * Specify ^large_dir, ^metadata_csum_seed parameters to e2fsprogs to fix
    the creation of unbootable systems when older GRUB versions are used
    (Closes: #1031364)

 -- Gunnar Wolf <gwolf@debian.org>  Sat, 06 May 2023 19:06:53 -0600

vmdb2 (0.27-1) unstable; urgency=medium

  [ Gunnar Wolf ]
  * New upstream release
  * Specify ^large_dir, ^metadata_csum_seed parameters to e2fsprogs to fix
    the creation of unbootable systems when older GRUB versions are used
    (Closes: #1031364)

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository.

  [ Gunnar Wolf ]
  * Drop 001_set_architecture_for_later_stages patch (no longer needed,
    incorporated upstream)

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 24 Oct 2022 14:48:46 -0000

## vmdb2 0.28

=== debian/changelog ===
vmdb2 (0.28-2) unstable; urgency=medium

  * Team upload.
  * Versioned (Test-)Depends python3-coverage-test-runner (>= 1.13.1-6~)
    Closes: #1061765
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add upstream metadata (Debian Janitor)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Feb 2024 16:58:18 +0100

vmdb2 (0.28-1) unstable; urgency=medium

  * New upstream release
  * Added a Recommends: on zerofree (Closes: #1021341)
  * Qemu-debootstrap removed in previous version; had to reintroduce it
    due to . Now it's properly removed (Closes: #1052123)
  * Drop yarns from the build process, as it was dropped by upstream as
    no-longer-useful (commit c98be82)

 -- Gunnar Wolf <gwolf@debian.org>  Sat, 11 Nov 2023 09:24:49 -0600

=== debian/control ===
Source: vmdb2
Maintainer: Gunnar Wolf <gwolf@debian.org>
Section: admin
Priority: optional
Build-Depends: cmdtest,
               debhelper-compat (= 13),
               dh-python,
               lmodern,
               pandoc,
               python3-all,
               python3-coverage-test-runner (>= 1.13.1-6~),
               python3-jinja2,
               python3-yaml
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/vmdb2/
Vcs-Git: https://salsa.debian.org/debian/vmdb2.git
Homepage: https://gitlab.com/larswirzenius/vmdb2
Rules-Requires-Root: no

Package: vmdb2
Architecture: all
Depends: cmdtest,
         debootstrap,
         e2fsprogs,
         kpartx,
         parted,
         python3,
         python3-jinja2,
         python3-yaml,
         qemu-utils,
         ${misc:Depends},
         ${python3:Depends}
Recommends: ansible,
            dosfstools,
            qemu-user-static,
            zerofree
Description: creator of disk images with Debian installed
 vmdb2 will be a successor of vmdebootstrap. It will create disk images
 for virtual machines and real hardware, with partitioning, and a boot
 loader, and a Debian installation.

## vmdb2 0.40

=== debian/changelog ===
vmdb2 (0.40-2) unstable; urgency=medium

  * Remove cmdtest dependency. Thanks, Ricardo B. Marilere (from Salsa
    MR#7)
  * Added a build-dependency on python3-setuptools, no longer provided
    by default in the standard library since Python 3.12 (Closes:
    #1080830)
  * Updated standards version, 4.6.2→4.7.0. No changes needed.

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 10 Sep 2024 10:03:04 -0600

vmdb2 (0.40-1) unstable; urgency=medium

  * New upstream release

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 29 Apr 2024 11:16:57 -0600

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Maintainer: Gunnar Wolf <gwolf@debian.org>
 Section: admin
 Priority: optional
-Build-Depends: cmdtest,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                lmodern,
                pandoc,
                python3-all,
                python3-coverage-test-runner (>= 1.13.1-6~),
                python3-jinja2,
-               python3-yaml
-Standards-Version: 4.6.2
+               python3-yaml,
+	       python3-setuptools
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/vmdb2/
 Vcs-Git: https://salsa.debian.org/debian/vmdb2.git
 Homepage: https://gitlab.com/larswirzenius/vmdb2
@@ -19,8 +19,7 @@
 
 Package: vmdb2
 Architecture: all
-Depends: cmdtest,
-         debootstrap,
+Depends: debootstrap,
          e2fsprogs,
          kpartx,
          parted,

## vmdb2 0.40.ci20241109T060324

=== debian/changelog ===
vmdb2 (0.40.ci20241109T060324-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 09 Nov 2024 06:03:24 +0000

vmdb2 (0.23-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 18 Oct 2020 10:11:48 +0300

vmdb2 (0.19+git-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 16 Sep 2020 11:00:00 +0300

vmdb2 (0.18-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 13 Aug 2020 11:00:00 +0300

## vmdb2 0.40.ci20241116T051950

=== debian/changelog ===
vmdb2 (0.40.ci20241116T051950-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 16 Nov 2024 05:19:50 +0000

## vmdb2 0.40.ci20241221T063231

=== debian/changelog ===
vmdb2 (0.40.ci20241221T063231-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 21 Dec 2024 06:32:31 +0000

=== debian/control ===
Source: vmdb2
Homepage: https://vmdb2.liw.fi/
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: admin
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 10),
  dh-python,
  pandoc (>= 2.1.2~),
  python3,
  python3-jinja2,
  python3-yaml,
  subplot

Package: vmdb2
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
  python3,
  python3-jinja2,
  python3-yaml,
  cmdtest,
  debootstrap,
  qemu-utils,
  parted,
  kpartx
Recommends: ansible
Description: creator of disk images with Debian installed
 vmdb2 will be a successor of vmdebootstrap. It will create disk images
 for virtual machines and real hardware, with partitioning, and a boot
 loader, and a Debian installation.

## vmdb2 0.40.ci20250323T145701

=== debian/changelog ===
vmdb2 (0.40.ci20250323T145701-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 23 Mar 2025 14:57:01 +0000

## vmdb2 0.41

=== debian/changelog ===
vmdb2 (0.41-1) unstable; urgency=medium

  * New upstream release
  * Add conditional control to mkfs_plugin to avoid newer filesystem
    options (Closes: #1108498)
  * Replaced Recommends: from ansible to ansible-core, to achieve a
    smaller dependency set. (Closes: #1087707)

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 17 Aug 2025 22:25:09 -0600

=== debian/control ===
Source: vmdb2
Maintainer: Gunnar Wolf <gwolf@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               lmodern,
               pandoc,
               python3-all,
               python3-coverage-test-runner (>= 1.13.1-6~) <!nocheck>,
               python3-jinja2,
               python3-yaml,
	       python3-setuptools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/vmdb2/
Vcs-Git: https://salsa.debian.org/debian/vmdb2.git
Homepage: https://gitlab.com/larswirzenius/vmdb2
Rules-Requires-Root: no

Package: vmdb2
Architecture: all
Depends: debootstrap,
         e2fsprogs,
         kpartx,
         parted,
         python3,
         python3-jinja2,
         python3-yaml,
         qemu-utils,
         ${misc:Depends},
         ${python3:Depends}
Recommends: ansible-core,
            dosfstools,
            qemu-user-static,
            zerofree
Description: creator of disk images with Debian installed
 vmdb2 will be a successor of vmdebootstrap. It will create disk images
 for virtual machines and real hardware, with partitioning, and a boot
 loader, and a Debian installation.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-	make -C yarns
 	bash format.sh
 endif
 
@@ -22,4 +21,4 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f build yarns/yarns.html vmdb2.html
+	rm -f build vmdb2.html

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Test-Command: ./check
-Depends: pandoc, python3-coverage-test-runner, vmdb2
+Depends: pandoc, python3-coverage-test-runner (>= 1.13.1-6~), vmdb2
 Restrictions: allow-stderr
 
 # Deactivated for now, as these succeed locally, but fail in autopkgtest

## vmdb2 0.41.ci20250906T052527

=== debian/changelog ===
vmdb2 (0.41.ci20250906T052527-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 06 Sep 2025 05:25:31 +0000

## vmdb2 0.41.ci20250908T084520

=== debian/changelog ===
vmdb2 (0.41.ci20250908T084520-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 08 Sep 2025 08:45:20 +0000

## vmdb2 0.41.ci20250913T054729

=== debian/changelog ===
vmdb2 (0.41.ci20250913T054729-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 13 Sep 2025 05:47:29 +0000

## vmdb2 0.41.ci20250920T055532

=== debian/changelog ===
vmdb2 (0.41.ci20250920T055532-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Sep 2025 05:55:32 +0000

## vmdb2 0.41.ci20250920T120956

=== debian/changelog ===
vmdb2 (0.41.ci20250920T120956-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Sep 2025 12:09:56 +0000

## vmdb2 0.41.ci20250922T055823

=== debian/changelog ===
vmdb2 (0.41.ci20250922T055823-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 05:58:23 +0000

## vmdb2 0.41.ci20250922T072849

=== debian/changelog ===
vmdb2 (0.41.ci20250922T072849-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 07:28:49 +0000

## vmdb2 0.41.ci20250927T075900

=== debian/changelog ===
vmdb2 (0.41.ci20250927T075900-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 27 Sep 2025 07:59:00 +0000

## vmdb2 0.41.ci20251004T035613

=== debian/changelog ===
vmdb2 (0.41.ci20251004T035613-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 04 Oct 2025 03:56:13 +0000

## vmdb2 0.41.ci20251010T070336

=== debian/changelog ===
vmdb2 (0.41.ci20251010T070336-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 10 Oct 2025 07:03:36 +0000

## vmdb2 0.41.ci20251013T081150

=== debian/changelog ===
vmdb2 (0.41.ci20251013T081150-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 08:11:50 +0000

## vmdb2 0.41.ci20251013T094439

=== debian/changelog ===
vmdb2 (0.41.ci20251013T094439-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 09:44:39 +0000

## vmdb2 0.41.ci20251013T102852

=== debian/changelog ===
vmdb2 (0.41.ci20251013T102852-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 10:28:53 +0000

## vmdb2 0.41.ci20251014T112523

=== debian/changelog ===
vmdb2 (0.41.ci20251014T112523-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 11:25:23 +0000

## vmdb2 0.41.ci20251014T120108

=== debian/changelog ===
vmdb2 (0.41.ci20251014T120108-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 12:01:08 +0000

## vmdb2 0.41.ci20251014T151603

=== debian/changelog ===
vmdb2 (0.41.ci20251014T151603-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 15:16:03 +0000

## vmdb2 0.41.ci20251014T155219

=== debian/changelog ===
vmdb2 (0.41.ci20251014T155219-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 15:52:19 +0000

## vmdb2 0.41.ci20251110T083648

=== debian/changelog ===
vmdb2 (0.41.ci20251110T083648-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 10 Nov 2025 08:36:48 +0000

## vmdb2 0.41.ci20251112T173749

=== debian/changelog ===
vmdb2 (0.41.ci20251112T173749-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 12 Nov 2025 17:37:50 +0000

## vmdb2 0.41.ci20251130T073301

=== debian/changelog ===
vmdb2 (0.41.ci20251130T073301-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 30 Nov 2025 07:33:02 +0000

## vmdb2 0.41.ci20251215T062600

=== debian/changelog ===
vmdb2 (0.41.ci20251215T062600-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 06:26:00 +0000

## vmdb2 0.41.ci20251215T095913

=== debian/changelog ===
vmdb2 (0.41.ci20251215T095913-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 09:59:13 +0000

## vmdb2 0.41.ci20251220T145049

=== debian/changelog ===
vmdb2 (0.41.ci20251220T145049-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Dec 2025 14:50:50 +0000

## vmdb2 0.41.ci20251221T042312

=== debian/changelog ===
vmdb2 (0.41.ci20251221T042312-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 21 Dec 2025 04:23:12 +0000

## vmdb2 0.41.ci20251221T063326

=== debian/changelog ===
vmdb2 (0.41.ci20251221T063326-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 21 Dec 2025 06:33:26 +0000

## vmdb2 0.41.ci20260105T122430

=== debian/changelog ===
vmdb2 (0.41.ci20260105T122430-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 05 Jan 2026 12:24:30 +0000

## vmdb2 0.41.ci20260112T125311

=== debian/changelog ===
vmdb2 (0.41.ci20260112T125311-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 12 Jan 2026 12:53:12 +0000

## vmdb2 0.41.ci20260114T124220

=== debian/changelog ===
vmdb2 (0.41.ci20260114T124220-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 14 Jan 2026 12:42:20 +0000

## vmdb2 0.41.ci20260118T134028

=== debian/changelog ===
vmdb2 (0.41.ci20260118T134028-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 18 Jan 2026 13:40:28 +0000

## vmdb2 0.41.ci20260120T121316

=== debian/changelog ===
vmdb2 (0.41.ci20260120T121316-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 20 Jan 2026 12:13:17 +0000

## vmdb2 0.41.ci20260125T071359

=== debian/changelog ===
vmdb2 (0.41.ci20260125T071359-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 25 Jan 2026 07:13:59 +0000

## vmdb2 0.41.ci20260204T095734

=== debian/changelog ===
vmdb2 (0.41.ci20260204T095734-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 04 Feb 2026 09:57:34 +0000
